## com.bbn.openmap.geo
Interface MatchParameters

All Known Implementing Classes:
  MatchParameters.Standard

public interface MatchParameters

The terms that describe how matches between Geo objects are to be performed.

Nested Class Summary
`static class` `MatchParameters.Standard`

Field Summary
`static MatchParameters` `ROUTE_DEFAULT` A set of parameters that matches radius of 10 nmiles.
`static MatchParameters` `STRICT` A set of parameters for strict intersections, 0 nmiles.

Method Summary
`double` `horizontalRange()` return the horizontal deviation (range) to consider matching.

Field Detail

### ROUTE_DEFAULT

    public static final MatchParameters ROUTE_DEFAULT

  A set of parameters that matches radius of 10 nmiles.

### STRICT

    public static final MatchParameters STRICT

  A set of parameters for strict intersections, 0 nmiles.

Method Detail

### horizontalRange

    public double horizontalRange()

  return the horizontal deviation (range) to consider matching. The value is in radians. 0.0 implies strict intersection. Note that if a RegionIndex is being used, then this value probably must be no larger than the index's margin to avoid missing regions that are near index boundaries.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details